function drawTri(dates_enter, hist_enter)

%Load the financial time series object, dis for Disney stock and look at the weekly data for this time series.
%load disney.mat
%weekly = toweekly(dis);
%dates = (weekly.dates);
%price = fts2mat(weekly.CLOSE);
%Set the|lag| input argument for the window size for the moving average.
window_size = 13;


dates = dates_enter;
data = hist_enter;


%price = fts2mat(fints(dates, data));
%pom = fints(dates, data);
%price = fts2mat(pom);

price = fints(dates, data)

%Calculate the triangular moving average moving average.
tri = tsmovavg(price,'t',window_size);
p4 = plot(tri, 'b')
legend(p4, 'Triangular moving average')
set(p4,'LineWidth',2)
hold on

NumTicks = 18;
L = get(gca,'XLim');

set(gca,'XTick',linspace(L(1),L(2),NumTicks))

% set(get(gca,'XLabel'),'Rotation',270)
dateaxis('x', 2)